Reconnect blocking

Bug #717847 reported by KHobbits on 2011-02-12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Gunnar Beutner

Bug Description

Since the three bugs are closely related I'm going to post them as a single post, especially since there is already about 5 bugs related to this one already posted but don't quite address the issue.

Bug1: For some reason even with the current patches if a reconnect attempt fails (can be ipv4 or ipv6) that user will be unable to reconnect untill the bnc is restarted.
Note: Possibly fixed in latest git.

Bug2: sBNC seems to only allow 'x' number of users to be added to the reconnect 'loop' that is, if there is 20+ users to be reconnected, the bnc will only try the first 4 or so over and over until one of those users reconnects. If for some reason a irc server is down, this would prevent other users on the bnc reconnecting.

For some reason when connecting, some event caused the bnc to get stuck reconnecting a single user.

KHobbits (khobbits) on 2011-02-12
description: updated
Changed in shroudbnc:
importance: Undecided → High
assignee: nobody → Gunnar Beutner (gunnarbeutner)
milestone: none → 1.3

I cannot confirm your first issue: I had a connection timeout while connecting to QuakeNet, yet the user recovered from that and connected on a latter attempt just fine.

tags: added: core
KHobbits (khobbits) wrote :

I've had it happen on numerous occasions. Every time I restart the BNC I seem to have a different version of these events. Keep in mind that I'm using a post beta 5 release.

KHobbits (khobbits) on 2011-03-01
description: updated
description: updated
Gunnar Beutner (gunnarbeutner) wrote :

This should be fixed by d6fc166c0573b329be7788db2f2d4eda092006c4.

Changed in shroudbnc:
status: New → Fix Committed
Arne Jensen (darkdevil) wrote :

sbnc via commit 34ccf1099c1ff61250990aadae6e55cb7262cee7 (Mon May 26 03:20:41 2014 -0400) still has Bug 3:

One user stuck like this:

[Wed January 03 2018 03:35:11]: Trying to reconnect to []:6667 for user John
[Wed January 03 2018 03:35:11]: User 'John' was disconnected from the IRC server: Connection refused
[Wed January 03 2018 03:35:11]: User John disconnected from the server.

is still preventing all others from (re)connecting.

Changed in shroudbnc:
status: Fix Committed → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers